> ## Documentation Index
> Fetch the complete documentation index at: https://docs.umified.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcription

> Returns the transcription - as a JSON dictionary (default) or as a TXT response (when token passed in query parameters).



## OpenAPI

````yaml GET /transcription
openapi: 3.1.0
info:
  title: Umified APIs
  description: >-
    Umified APIs for access management, meeting information, transcription and
    bot management.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.umified.com/api/v1
security:
  - bearerAuth: []
paths:
  /transcription:
    get:
      description: >-
        Returns the transcription - as a JSON dictionary (default) or as a TXT
        response (when token passed in query parameters).
      parameters:
        - name: session_id
          in: query
          description: The session ID of the meeting instance from create meeting api call.
          schema:
            type: string
          required: true
        - name: token
          in: query
          description: >-
            The authentication bearer token value - provide if you would like to
            download the whole transcription as a VTT file.
          schema:
            type: string
      responses:
        '200':
          description: Successful response (either transcription list or status message)
          content:
            application/json:
              schema:
                oneOf:
                  - type: array
                    items:
                      $ref: '#/components/schemas/TranscriptionResponse'
                  - $ref: '#/components/schemas/TranscriptionStatusResponse'
              examples:
                transcriptionList:
                  summary: Normal JSON transcription
                  value:
                    - speech_no: 0
                      participant_name: John Doe
                      speech_text: The attendees are there…
                processing:
                  summary: Processing in progress
                  value:
                    message: Audio processing is in progress. Please try again later.
                    status_code: 200
                    destination: null
                noRecording:
                  summary: No recording available
                  value:
                    message: >-
                      Recording is not available for this meeting so no
                      transcription available.
                    status_code: 200
                    destination: null
            text/vtt:
              schema:
                type: string
                example: >-
                  WEBVTT


                  00:00:05.000 --> 00:00:40.000

                  <v John Doe>The attendees are there or not. Great. Attendees
                  are also there. Yeah, active speaker is also there. Great.


                  00:00:41.000 --> 00:00:50.000

                  <v Jane Smith>Okay.
        '403':
          description: Invalid authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthError'
              example:
                detail: Invalid authentication. Could not decode token.
        '404':
          description: Meeting Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                message: Meeting not found. Check Session ID.
                status_code: 404
                destination: null
components:
  schemas:
    TranscriptionResponse:
      type: object
      properties:
        result:
          type: array
          items:
            type: object
            properties:
              speech_no:
                type: integer
                example: 0
              participant_name:
                type: string
                example: John Doe
              speech_text:
                type: string
                example: >-
                  The attendees are there or not. Great. Attendees are also
                  there. Yeah, active speaker is also there. Great.
            required:
              - speech_no
              - participant_name
              - speech_text
        message:
          type: string
          example: Your meeting transcription is fetched successfully.
        status_code:
          type: integer
          example: 200
        destination:
          oneOf:
            - type: string
            - type: 'null'
          example: null
      required:
        - result
        - message
        - status_code
        - destination
    TranscriptionStatusResponse:
      type: object
      properties:
        message:
          type: string
        status_code:
          type: integer
        destination:
          oneOf:
            - type: string
            - type: 'null'
      required:
        - message
        - status_code
        - destination
    AuthError:
      type: object
      properties:
        detail:
          type: string
          example: Invalid authentication. Could not decode token.
      required:
        - detail
    APIError:
      type: object
      properties:
        message:
          type: string
          example: Error Message
        status_code:
          type: integer
          enum:
            - 400
            - 401
            - 403
            - 404
            - 500
          example: 400
        destination:
          oneOf:
            - type: string
            - type: 'null'
          example: null
      required:
        - message
        - status_code
        - destination
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````